ONVIF::Device::Elements::StartFirmwareUpgradeResponse(3)

NAME
ONVIF::Device::Elements::StartFirmwareUpgradeResponse

DESCRIPTION
Perl data type class for the XML Schema defined element StartFirmwareUpgradeResponse from the namespace http://www.onvif.org/ver10/device/wsdl.

PROPERTIES
The following properties may be accessed using get_PROPERTY / set_PROPERTY methods:

•   UploadUri

     $element->set_UploadUri($data);
     $element->get_UploadUri();

•   UploadDelay

     $element->set_UploadDelay($data);
     $element->get_UploadDelay();

•   ExpectedDownTime

     $element->set_ExpectedDownTime($data);
     $element->get_ExpectedDownTime();

METHODS

  new
 my $element = ONVIF::Device::Elements::StartFirmwareUpgradeResponse->new($data);

Constructor. The following data structure may be passed to new():

 {
   UploadUri =>  $some_value, # anyURI
   UploadDelay =>  $some_value, # duration
   ExpectedDownTime =>  $some_value, # duration
 },

AUTHOR
Generated by SOAP::WSDL